<!DOCTYPE HTML>
<html lang="it">
<head>
<!-- Generated by javadoc (17) on Tue Apr 09 16:33:00 CEST 2024 -->
<title>C-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-04-09">
<meta name="description" content="index: C">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../EsercizioPalestra/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">N</a>&nbsp;<a href="index-9.html">R</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<a href="index-11.html">T</a>&nbsp;<a href="index-12.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:C">C</h2>
<dl class="index">
<dt><a href="../EsercizioPalestra/GestionePalestra.html#calcoloMediaCorso(EsercizioPalestra.ClasseDiAllenamento)" class="member-name-link">calcoloMediaCorso(ClasseDiAllenamento)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/GestionePalestra.html" title="class in EsercizioPalestra">GestionePalestra</a></dt>
<dd>
<div class="block">Questo metodo si occupa di calcolare la media dei voti dati da piÃ¹ utenti ad una classe.</div>
</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html" class="type-name-link" title="class in EsercizioPalestra">ClasseDiAllenamento</a> - Class in <a href="../EsercizioPalestra/package-summary.html">EsercizioPalestra</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,EsercizioPalestra.Istruttore,int)" class="member-name-link">ClasseDiAllenamento(String, String, String, Istruttore, int)</a> - Constructor for class EsercizioPalestra.<a href="../EsercizioPalestra/ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a></dt>
<dd>
<div class="block">E' il costruttore che inizializza lista membri e mappa voti</div>
</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.util.List,EsercizioPalestra.Istruttore,int,java.util.HashMap)" class="member-name-link">ClasseDiAllenamento(String, String, String, List&lt;Membro&gt;, Istruttore, int, HashMap&lt;String, Integer&gt;)</a> - Constructor for class EsercizioPalestra.<a href="../EsercizioPalestra/ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a></dt>
<dd>
<div class="block">E' il costruttore completo</div>
</dd>
<dt><a href="../EsercizioPalestra/ClassePienaException.html" class="type-name-link" title="class in EsercizioPalestra">ClassePienaException</a> - Exception in <a href="../EsercizioPalestra/package-summary.html">EsercizioPalestra</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/ClassePienaException.html#%3Cinit%3E()" class="member-name-link">ClassePienaException()</a> - Constructor for exception EsercizioPalestra.<a href="../EsercizioPalestra/ClassePienaException.html" title="class in EsercizioPalestra">ClassePienaException</a></dt>
<dd>
<div class="block">L'eccezione viene lanciata quando ad una classe giÃ  al completo si tenta l'iscrizione di un nuovo membro.</div>
</dd>
<dt><a href="../EsercizioPalestra/Membro.html#controlloStatoAbbonamento()" class="member-name-link">controlloStatoAbbonamento()</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/Membro.html" title="class in EsercizioPalestra">Membro</a></dt>
<dd>
<div class="block">Questo metodo controlla lo stato di validitÃ  deÃ²Ã²'abbonamento dell'utente.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">N</a>&nbsp;<a href="index-9.html">R</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<a href="index-11.html">T</a>&nbsp;<a href="index-12.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
